<!DOCTYPE html>
<html>    
 <head> <!-- Entête HTML --> 
   <meta charset="utf-8" />
   <title>Erreurs de notation</title>
 </head>
 <body>
 <?php
 define("WEB_EOL","<br/>");
 // erreur sur la syntaxe avec du texte
 $x = "18.23azerty";
 echo "==== \$x = \"18azerty\" : notation r&eacute;elle erron&eacute;e====".WEB_EOL;  
 echo   'echo     : $x='.$x." (cha&icirc;ne)".WEB_EOL;
 printf("printf   : \$x=%f (float)",$x);
 echo WEB_EOL;
 echo   'var_dump : ';
 var_dump($x);
 echo WEB_EOL;
 echo "----apr&egrave;s \$x=\$x+0-----".WEB_EOL; 
 $x=$x+0;
 echo   'echo     : $x='.$x." (float)".WEB_EOL;
 printf("printf   : \$x=%d (float)",$x);
 echo WEB_EOL;
 echo   'var_dump : ';
 var_dump($x);
 echo WEB_EOL;
 ?>
 </body>
</html>

